# Interface methods for submodule: HoughTransform2DLinesImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: HoughTransform2DLinesImageFilter
class HoughTransform2DLinesImageFilterProxy(_ImageToImageFilterProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GenerateData(self) -> None:
		""""""
		...

	def SetThreshold(self, _arg: float) -> None:
		""""""
		...

	def GetThreshold(self) -> float:
		""""""
		...

	def SetAngleResolution(self, _arg: float) -> None:
		""""""
		...

	def GetAngleResolution(self) -> float:
		""""""
		...

	def Simplify(self) -> None:
		""""""
		...

	def GetModifiableSimplifyAccumulator(self):
		""""""
		...

	def GetSimplifyAccumulator(self):
		""""""
		...

	def GetLines(self):
		""""""
		...

	def SetNumberOfLines(self, _arg: int) -> None:
		""""""
		...

	def GetNumberOfLines(self) -> int:
		""""""
		...

	def SetDiscRadius(self, _arg: float) -> None:
		""""""
		...

	def GetDiscRadius(self) -> float:
		""""""
		...

	def SetVariance(self, _arg: float) -> None:
		""""""
		...

	def GetVariance(self) -> float:
		""""""
		...

